library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

entity Aufgabe2_2 is
  port (
    SW      : in  std_logic_vector(7 downto 0);
    DILSW   : in  std_logic_vector(7 downto 0);
    LED     : out std_logic_vector(7 downto 0);
    DIS1    : out std_logic_vector(6 downto 0);
    DIS2    : out std_logic_vector(6 downto 0)
  );
end Aufgabe2_2;

architecture Struct of Aufgabe2_2 is
  
  signal s_LED      : std_logic_vector( 7 downto 0);
  signal s_carry    : std_logic_vector( 7 downto 0);
  
  function segment7 ( bits : in std_logic_vector(3 downto 0)) return std_logic_vector is
    variable ret : std_logic_vector(6 downto 0);
  begin
    case bits is       --  gfedcba
      when x"0" => ret := "0111111";
      when x"1" => ret := "0000110";
      when x"2" => ret := "0000000";
      when x"3" => ret := "0000000";
      
      when x"4" => ret := "0000000";
      when x"5" => ret := "0000000";
      when x"6" => ret := "0000000";
      when x"7" => ret := "0000000";
      
      when x"8" => ret := "0000000";
      when x"9" => ret := "0000000";
      when x"a" => ret := "0000000";
      when x"b" => ret := "0000000";
      
      when x"c" => ret := "0000000";
      when x"d" => ret := "0000000";
      when x"e" => ret := "0000000";
      when x"f" => ret := "0000000";
      
      -- die nachfolgende Zeile msst ihr nicht anpassen.
      when others => ret := (others => '0');
    end case;
    
    return ret;
  end function;
  
begin
  
  LED <= s_LED;
  
--  DIS1 <= ;
--  DIS2 <= ;
end Struct;
