library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

entity Aufgabe1 is
  port (
    SW      : in  std_logic_vector(7 downto 0);
    LED     : out std_logic_vector(7 downto 0)
  );
end Aufgabe1;

architecture Struct of Aufgabe1 is
  
  signal s_LED      : std_logic_vector( 7 downto 0);
  
begin
  
  LED <= s_LED;
  
  s_LED(0) <= SW(0) and SW(1);
  s_LED(1) <= SW(0)  or SW(1);
  s_LED(2) <= SW(2) and SW(3);
  s_LED(3) <= SW(2)  or SW(3);
  s_LED(4) <= SW(4) and SW(5);
  s_LED(5) <= SW(4)  or SW(5);
  s_LED(6) <= SW(6) and SW(7);
  s_LED(7) <= SW(6)  or SW(7);
  
end Struct;
