library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

entity Aufgabe2_1 is
  port (
    SW      : in  std_logic_vector(7 downto 0);
    DILSW   : in  std_logic_vector(7 downto 0);
    LED     : out std_logic_vector(7 downto 0)
  );
end Aufgabe2_1;

architecture Struct of Aufgabe2_1 is
  
  signal s_LED      : std_logic_vector( 7 downto 0);
  signal s_carry    : std_logic_vector( 7 downto 0);
  
begin
  
  LED <= s_LED;
  
  s_LED(0) <= DILSW(0);
  s_LED(1) <= DILSW(1);
  s_LED(2) <= DILSW(2);
  s_LED(3) <= DILSW(3);
  s_LED(4) <= DILSW(4);
  s_LED(5) <= DILSW(5);
  s_LED(6) <= DILSW(6);
  s_LED(7) <= DILSW(7);
  
  s_carry(0) <= '0';
  s_carry(1) <= SW(0);
  s_carry(2) <= SW(1);
  s_carry(3) <= SW(2);
  s_carry(4) <= SW(3);
  s_carry(5) <= SW(4);
  s_carry(6) <= SW(5);
  s_carry(7) <= SW(6);
  
  
end Struct;
